org.apache.flume.conf

## Class Configurables

- java.lang.Object
- - org.apache.flume.conf.Configurables

-     public class Configurables
      extends Object

  Methods for working with `Configurable`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configurables()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `configure(Object target, ComponentConfiguration conf)`
    `static boolean` | `configure(Object target, Context context)` Check that `target` implements `Configurable` and, if so, ask it to configure itself using the supplied `context`.
    `static void` | `ensureOptionalNonNull(Context context, String... keys)`
    `static void` | `ensureRequiredNonNull(Context context, String... keys)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configurables

          public Configurables()

  - ### Method Detail

    - #### configure

          public static boolean configure(Object target,
                          Context context)

      Check that `target` implements `Configurable` and, if so, ask it to configure itself using the supplied `context`.
      Parameters:
        `target` - An object that potentially implements Configurable.
        `context` - The configuration context
      Returns:
        true if `target` implements Configurable, false otherwise.

    - #### configure

          public static boolean configure(Object target,
                          ComponentConfiguration conf)

    - #### ensureRequiredNonNull

          public static void ensureRequiredNonNull(Context context,
                                   String... keys)

    - #### ensureOptionalNonNull

          public static void ensureOptionalNonNull(Context context,
                                   String... keys)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.